<!DOCTYPE html>
<html lang="ko" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout/defaultLayout}">
<head>
    <style th:inline="text">
        .rewards {
            background: url([[@{images/rewards.png}]]) no-repeat center center;
            background-size: cover;
            width: 350px;
            height: 260px;
        }
    </style>
    <script th:inline="javascript">
        /*<![CDATA[*/

        function recharge() {
            $.post('/recharge', {})
                .done(function (data) {
                    alert(data.message);
                    window.location.replace('/');
                })
                .fail(function (data) {
                    console.log(data);
                    alert("충전 중 에러가 발생했습니다.");
                });
        }

        /*]]>*/
    </script>
</head>
<body>
<div layout:fragment="content">
    <h5>안녕하세요. 별다방입니다.</h5>
    <h6 th:text="|${user.id}님 환영합니다.|"></h6>
    <div class="d-flex justify-content-center m-2">
        <button class="btn btn-primary" th:onclick="'window.location.href=\'/menu\''">Siren Order</button>
    </div>
    <div class="card mt-3 pt-3">
        <img class="rounded mx-auto d-block" th:src="@{images/card.png}" width="350"/>
        <div class="card-body">
            <h6 class="card-text text-right pr-4">2018 애니버서리 사이렌 카드</h6>
            <h4 class="card-text text-right pr-4" th:text="|${#numbers.formatInteger(user.balance, 0, 'COMMA')} 원|"></h4>
            <div class="text-right pr-4">
                <button class="btn btn-secondary btn-sm" th:onclick="'recharge()'">충전</button>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body px-5">
            <div class="rewards">
                <h5 class="text-center" style="padding-top: 85px;" th:text="${user.rewards % 12}"></h5>
            </div>
            <h6 class="card-text text-center" th:text="|무료음료 쿠폰 발행까지 ${12 - user.rewards % 12}개의 별이 남았습니다.|"></h6>
        </div>
    </div>
</div>
</body>
</html>
